Bug 441086 - Review Request: ezstream - Command line source client for Icecast media streaming servers
Review Request: ezstream - Command line source client for Icecast media strea...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-05 19:49 EDT by Ian Weller
Modified: 2008-05-12 17:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-12 17:08:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-04-05 19:49:26 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/ezstream/0.5.3-1/ezstream.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/ezstream/0.5.3-1/ezstream-0.5.3-1.fc8.src.rpm
Ezstream is a command line source client for Icecast media streaming servers.
It began as the successor of the old "shout" utility, and has since gained a
lot of useful features.

In its basic mode of operation, it streams media files or data from standard
input without reencoding and thus requires only very little CPU resources. It
can also use various external decoders and encoders to reencode from one format
to another, and stream the result to an Icecast server. Additional features
include scriptable playlist and metadata handling. All of its features make
ezstream a very flexible source client.

Supported media formats for streaming are MP3, Ogg Vorbis and Ogg Theora.
Native metadata support includes MP3 (ID3v1 only) and Ogg Vorbis, and many more
formats when the optional TagLib support has been compiled in (which they are
for this package).
Comment 1 Jason Tibbitts 2008-04-11 01:39:29 EDT
Sorry, I ended up running out of time for a bit there.

Some of the source is MIT licensed, some is GPLv2+ and some is GPLv2.  That does
make the result plain GPLv2.

The obvious question is whether this decodes MP3 in any way, and as far as I can
tell it doesn't, other than parsing the metadata.  It can use external programs
to transcode things to and from MP3 but it doesn't include those programs.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ezstream = 0.5.3-1.fc9

* %check is not present; no test suite upstream.  I don't really have any idea 
  how to test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Ian Weller 2008-04-11 16:12:28 EDT
New Package CVS Request
Package Name: ezstream
Short Description: Command line source client for Icecast media streaming servers
Owners: ianweller
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-04-12 18:10:07 EDT
cvs done.
Comment 4 Fedora Update System 2008-04-12 20:31:01 EDT
ezstream-0.5.3-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-04-16 23:49:51 EDT
ezstream-0.5.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jason Tibbitts 2008-05-12 16:21:05 EDT
Can we close this now?

Note You need to log in before you can comment on or make changes to this bug.